<?php
/**
 * @package      Joomla.Plugin
 * @subpackage   Editors.switcher
 *
 * @copyright    (C) 2007 Yoshiki Kozaki
 * @license      https://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

namespace Joomla\Plugin\Editors\Switcher\Field;


// No direct access
\defined('_JEXEC') or die;

use Joomla\CMS\Form\Field\PluginsField;

/**
 * Supports an HTML select list of fonts
 *
 * @package     Joomla.Plugin
 * @subpackage  Editors.switcher
 *
 * @since 4.0.0
 */
class EditorsField extends PluginsField
{
	protected function getOptions()
	{
		$editors = parent::getOptions();

		foreach ($editors as $k => $editor)
		{
			if ($editor->value == 'switcher')
			{
				unset($editors[$k]);
				break;
			}
		}

		return $editors;
	}
}
